File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxcommon.h File Reference

Go to the source code of this file.

## Functions
void | dmxCommonKbdGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
void | dmxCommonKbdGetMap (DevicePtr pDev, KeySymsPtr pKeySyms, CARD8 *pModMap)
void | dmxCommonKbdCtrl (DevicePtr pDev, KeybdCtrl *ctrl)
void | dmxCommonKbdBell (DevicePtr pDev, int percent, int volume, int pitch, int duration)
int | dmxCommonKbdOn (DevicePtr pDev)
void | dmxCommonKbdOff (DevicePtr pDev)
void | dmxCommonMouGetMap (DevicePtr pDev, unsigned char *map, int *nButtons)
void | dmxCommonMouCtrl (DevicePtr pDev, PtrCtrl *ctrl)
int | dmxCommonMouOn (DevicePtr pDev)
void | dmxCommonMouOff (DevicePtr pDev)
int | dmxFindPointerScreen (int x, int y)
int | dmxCommonOthOn (DevicePtr pDev)
void | dmxCommonOthOff (DevicePtr pDev)
void | dmxCommonOthGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
pointer | dmxCommonCopyPrivate (DeviceIntPtr pDevice)
void | dmxCommonSaveState (pointer private)
void | dmxCommonRestoreState (pointer private)

## Detailed Description

Interface to functions used by backend and console input devices.

See also:
  dmxcommon.c

  dmxbackend.c

  dmxconsole.c

## Function Documentation

pointer dmxCommonCopyPrivate | ( | DeviceIntPtr | pDevice | ) |

| Returns a pointer to the private area for the device that comes just prior to pDevice in the current dmxInput device list. This is used as the private area for the current device in some situations (e.g., when a keyboard and mouse form a pair that should share the same private area). If the requested private area cannot be located, then NULL is returned.

void dmxCommonKbdBell | ( | DevicePtr | pDev,
|  | int | percent,
|  | int | volume,
|  | int | pitch,
|  | int | duration
| ) |

| Sound they keyboard bell.

void dmxCommonKbdCtrl | ( | DevicePtr | pDev,
|  | KeybdCtrl * | ctrl
| ) |

| Update the keyboard control.

void dmxCommonKbdGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill in the XKEYBOARD parts of the info structure for the specified pDev.

void dmxCommonKbdGetMap | ( | DevicePtr | pDev,
|  | KeySymsPtr | pKeySyms,
|  | CARD8 * | pModMap
| ) |

| Get the keyboard mapping.

void dmxCommonKbdOff | ( | DevicePtr | pDev | ) |

| Turn pDev off.

int dmxCommonKbdOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void dmxCommonMouCtrl | ( | DevicePtr | pDev,
|  | PtrCtrl * | ctrl
| ) |

| Update the mouse control.

void dmxCommonMouGetMap | ( | DevicePtr | pDev,
|  | unsigned char * | map,
|  | int * | nButtons
| ) |

| Obtain the mouse button mapping.

void dmxCommonMouOff | ( | DevicePtr | pDev | ) |

| Turn pDev off.

int dmxCommonMouOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void dmxCommonOthGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void dmxCommonOthOff | ( | DevicePtr | pDev | ) |

| Turn pDev off.

int dmxCommonOthOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void dmxCommonRestoreState | ( | pointer | private | ) |

| This routine restores all the information saved by dmxCommonSaveState.

void dmxCommonSaveState | ( | pointer | private | ) |

| This routine saves and resets some important state for the backend and console device drivers: the modifier map is saved and set to 0 (so DMX controls the LEDs) the key click, bell, led, and repeat masks are saved and set to the values that DMX claims to be using This routine and dmxCommonRestoreState are used when the pointer enters and leaves the console window, or when the backend window is active or not active (for a full-screen window, this only happens at server startup and server shutdown).

int dmxFindPointerScreen | ( | int | x,
|  | int | y
| ) |

| Given the global coordinates x and y, determine the screen with the lowest number on which those coordinates lie. If they are not on any screen, return -1. The number returned is an index into #dmxScreenInfo and is between -1 and dmxNumScreens - 1, inclusive.